# -*- coding: utf-8 -*-
"""
Created on Sat Jan  2 18:02:15 2021

@author: Johannes Neumeyer
"""

class Sitzplatz:
    """
    Sitzplatz in einem Konzertsaal
    """
    def __init__(self):
        """
        Erstellt einen neuen, freien Sitzplatz
        """
        self.gebucht = False

    def Buchen(self):
        """
        Bucht den Sitzplatz, sofern dieser noch ungebucht ist,
        und gibt dann true zurueck. Falls er schon gebucht ist,
        wird nichts unternommen und false zurueckgegeben.
        """
        if self.gebucht:
            return False
        
        self.gebucht = True
        return True

    def Freigeben(self):
        """
        Gibt einen gebuchten Sitzplatz wieder frei.
        """
        self.gebucht = False
