# -*- coding: utf-8 -*-
"""
Created on Sat Jan  2 18:15:10 2021

@author: Johannes Neumeyer
"""

from graphics_and_games_klassen import Turtle, Text

class PosTurtle(Turtle):
    """
    Turtle mit zusaetzlichem Text, der ihre Position angibt
    """

    def __init__(self):
        """
        Erstellt Turtle und Text mit Startposition.
        """
        super().__init__()
        self.position = Text()
        self.PositionstextAktualisieren()

    def PositionSetzen(self, x, y):
        """
        Beim Positionieren der Turtle wird auch die Position des
        Texts aktualisiert.
        -- Parameter x x-Position der Turtle
        -- Parameter y y-Position der Turtle
        """
        super().PositionSetzen(x, y)
        self.PositionstextAktualisieren()

    def PositionstextAktualisieren(self):
        """
        Der Text, der die Position angibt, wird aktualisiert.
        """
        self.position.TextSetzen(str(self.XPositionGeben()) + ", " + str(self.YPositionGeben()))
        self.position.PositionSetzen(self.XPositionGeben(), self.YPositionGeben() - 24)

class Dompteur:
    """
    Dompteur einer Menge von Turtles
    """

    def __init__(self):
        """
        Legt die Turtles an und veranlasst die Startaufstellung.
        """
        self.turtles = []
        index = 0
        while index < 6:
            self.turtles.append(PosTurtle())
            index = index + 1
        self.AufstellungEinnehmen()

    def AufstellungEinnehmen(self):
        """
        Alle Turtles nehmen ihre Position ein.
        """
        index = 0
        while index < len(self.turtles):
            self.turtles[index].PositionSetzen(???, ???)
            index = index + 1

d = Dompteur()
